# Network setup routine by Ray Haque <ray@oddree.com>
# use iz2s busybox echo for -ne support
# Should only use busybox to move cursor back up
#  to end of prev line.  
# So it still works ok without busybox installed.
# 
/mnt/ffs/bin/busybox echo -ne "\033[2J\033[1;1H" > /dev/tty0
echo "" > /dev/tty0
echo "-- NETWORK SETUP --" > /dev/tty0
echo "Join a wireless network? [y/n]" > /dev/tty0
/mnt/ffs/bin/busybox echo -ne "\033[3;32H" > /dev/tty0
read -s -n1 enablenet < /dev/tty0
case "$enablenet" in
        'y' | 'Y')
	echo "" > /dev/tty0
	echo "" > /dev/tty0
	prevssid=`grep ssid /mnt/ffs/etc/wpa_supplicant.conf`
	echo "-- CHANGE WIFI SETTINGS? --" > /dev/tty0
	echo "" > /dev/tty0
	echo "\033[1;32m$prevssid \033[0m" > /dev/tty0
	echo "" > /dev/tty0
	echo "Would you like to change the wireless" > /dev/tty0
	echo "settings that you used last? [y/n]" > /dev/tty0
	/mnt/ffs/bin/busybox echo -ne "\033[10;36H" > /dev/tty0
	read -s -n1 scanfornetwork < /dev/tty0
	case "$scanfornetwork" in
	'y' | 'Y')
		echo "" > /dev/tty0
		echo "" > /dev/tty0
		# Run rkdavis's AP choosing routine.
		/mnt/ffs/bin/setup-wifi.sh
		# ... then return here
	;;
	esac
			# Start the daemon and optain an address.
		echo "" >/dev/tty0
		echo "Starting WPA Supplicant ..." > /dev/tty0
		/mnt/ffs/wpa_supplicant/wpa_supplicant -B -ieth0 -c /mnt/ffs/etc/wpa_supplicant.conf > /dev/tty0 
		echo "" >/dev/tty0
		echo "Obtaining an IP address ..." > /dev/tty0
		udhcpc -n > /dev/tty0
;;
esac


